#Module-Specific definitions
%define mod_version 0.08
%define release 1mdk
%define mod_name mod_log_sqlite
%define mod_conf A14_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk

Summary:	Sqlite logging module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0: 	%{mod_name}-%{mod_version}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		mod_log_sqlite-0.08-escape.diff.bz2
License:	Apache License
URL:		http://sourceforge.net/projects/modlogsqlite/
BuildRequires:	sqlite-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
mod_log_sqlite is an %{ap_name} logging module, which logs
HTTP statistics into sqlite database.

%prep

%setup -q -n %{mod_name}-%{mod_version}
%patch0 -p0

%build
%{apxs} -c %{mod_name}.c -lsqlite

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc ChangeLog README create_table.sql
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_0.08-1mdk
- built for apache 2.0.50
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_0.08-1mdk
- built for apache 2.0.49

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_0.08-1mdk
- built for apache 2.0.48

* Wed Sep 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.08-2mdk
- fix loading order

* Wed Sep 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.08-1mdk
- initial cooker contrib
